Bug 104461 - compat-gcc doesn't build from SRPM
compat-gcc doesn't build from SRPM
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: compat-gcc (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-15 17:23 EDT by Richard Offer
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: 7.3-2.96.119
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-17 15:03:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Offer 2003-09-15 17:23:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030516
Mozilla Firebird/0.6

Description of problem:
Trying to rebuild compat-gcc fails on IA64.

....


make[3]: Entering directory
`/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-ia64-redhat-linux7/gcc/cp'
expect 33 shift/reduce conflicts and 58 reduce/reduce conflicts.
cd ../../../gcc/cp; bison  -d -o parse.c parse.y
./parse.y:493.10-15: type redeclaration for interface_type_list
./parse.y:502.10-15: type redeclaration for class_member_declaration
./parse.y:515.10-15: type redeclaration for unary_expression_not_plus_minus
parse.y:2057.15-23: integer out of range: `$<ttype'
make[3]: *** [../../../gcc/cp/parse.c] Error 1
make[3]: Leaving directory
`/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-ia64-redhat-linux7/gcc/cp'
make[2]: *** [../../gcc/cp/parse.c] Error 2
make[2]: *** Waiting for unfinished jobs....
WARNING: Using auxiliary files such as `acconfig.h', `config.h.bot'
WARNING: and `config.h.top', to define templates for `config.h.in'
WARNING: is deprecated and discouraged.

WARNING: Using the third argument of `AC_DEFINE' and
WARNING: `AC_DEFINE_UNQUOTED' allows to define a template without
WARNING: `acconfig.h':

WARNING:   AC_DEFINE([NEED_MAIN], 1,
WARNING:             [Define if a function `main' is needed.])

WARNING: More sophisticated templates can also be produced, see the
WARNING: documentation.
make[2]: *** [../../gcc/java/parse.c] Error 1
echo timestamp > ../../gcc/cstamp-h.in
make[2]: Leaving directory
`/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-ia64-redhat-linux7/gcc'
make[1]: *** [bootstrap-lean] Error 2
make[1]: Leaving directory
`/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-ia64-redhat-linux7/gcc'
make: *** [bootstrap-lean] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.99633 (%build)



The problem appears to be with one patch, gcc-c++-nomods_initdcl0.patch. The
patch introduces syntax into a file that bison fails to parse.

 


Version-Release number of selected component (if applicable):
compat-gcc-7.3-2.96.118

How reproducible:
Always

Steps to Reproduce:
rpmbuild --rebuild compat-gcc-7.3-2.96.118.src.rpm

Actual Results:  
....

cd ../../gcc && autoheader
here=`pwd`; sdir=`cd ../../gcc && pwd`; if test -f ../bison; then
bison="$here/../bison/bison -L $sdir"; else bison=bison; fi; \
cd ../../gcc/java && $bison -t  --name-prefix=java_ \
    -o parse.c ./parse.y
here=`pwd`; sdir=`cd ../../gcc && pwd`; if test -f ../bison; then
bison="$here/../bison/bison -L $sdir"; else bison=bison; fi; \
cd ../../gcc/java && $bison -t  -o parse-scan.c \
    ./parse-scan.y
cd cp && make ../../../gcc/cp/parse.c
make[3]: Entering directory
`/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-ia64-redhat-linux7/gcc/cp'
expect 33 shift/reduce conflicts and 58 reduce/reduce conflicts.
cd ../../../gcc/cp; bison  -d -o parse.c parse.y
./parse.y:493.10-15: type redeclaration for interface_type_list
./parse.y:502.10-15: type redeclaration for class_member_declaration
./parse.y:515.10-15: type redeclaration for unary_expression_not_plus_minus
parse.y:2057.15-23: integer out of range: `$<ttype'
make[3]: *** [../../../gcc/cp/parse.c] Error 1
make[3]: Leaving directory
`/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-ia64-redhat-linux7/gcc/cp'
make[2]: *** [../../gcc/cp/parse.c] Error 2
make[2]: *** Waiting for unfinished jobs....
WARNING: Using auxiliary files such as `acconfig.h', `config.h.bot'
WARNING: and `config.h.top', to define templates for `config.h.in'
WARNING: is deprecated and discouraged.

WARNING: Using the third argument of `AC_DEFINE' and
WARNING: `AC_DEFINE_UNQUOTED' allows to define a template without
WARNING: `acconfig.h':

WARNING:   AC_DEFINE([NEED_MAIN], 1,
WARNING:             [Define if a function `main' is needed.])

WARNING: More sophisticated templates can also be produced, see the
WARNING: documentation.
make[2]: *** [../../gcc/java/parse.c] Error 1
echo timestamp > ../../gcc/cstamp-h.in
make[2]: Leaving directory
`/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-ia64-redhat-linux7/gcc'
make[1]: *** [bootstrap-lean] Error 2
make[1]: Leaving directory
`/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-ia64-redhat-linux7/gcc'
make: *** [bootstrap-lean] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.99633 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.99633 (%build)


Expected Results:  A built RPM

Additional info:
Comment 1 Jakub Jelinek 2003-09-17 15:03:46 EDT
It does, you're just trying to compile too old rpm which did not like new
bison. Latest rpm is 7.3-2.96.122 ATM.

Note You need to log in before you can comment on or make changes to this bug.